Bug 1265987 - admin_tenant_name set differently in nova.conf between juno and kilo
admin_tenant_name set differently in nova.conf between juno and kilo
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud (Show other bugs)
7.0 (Kilo)
All Linux
medium Severity medium
: ---
: 10.0 (Newton)
Assigned To: James Slagle
Shai Revivo
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 05:10 EDT by Anand Nande
Modified: 2016-10-09 18:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-19 15:57:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anand Nande 2015-09-24 05:10:06 EDT
Description of problem:

[In OSP-6] packstack sets :
===========================
$ less /etc/nova/nova.conf | grep admin_tenant_name | grep -v ^#
admin_tenant_name=services
admin_tenant_name=services

[In OSP-7 / on undercloud ]
===========================
[stack@instack ~]$ sudo grep -v ^#  /etc/nova/nova.conf  | grep "admin_tenant_name"
admin_tenant_name=service
admin_tenant_name=service
admin_tenant_name=service

[In OSP-7 / on overcloud-controller]
====================================
[heat-admin@overcloud-controller-0 ~]$ sudo less /etc/nova/nova.conf | grep admin_tenant_name | grep -v ^#
admin_tenant_name=service
admin_tenant_name=service



Version-Release number of selected component (if applicable): 


How reproducible: always


Steps to Reproduce:
1. Install OSP-6 with packstack and grep admin_tenant_name in nova.conf
2. On the Instack system : openstack undercloud install
3. Then upon installing the undercloud : openstack overcloud deploy [..]
4. (on undercloud) grep admin_tenant_name in nova.conf
5. (on overcloud) grep admin_tenant_name in nova.conf
6. Observe that these are different than the previous version.

Actual results: In OSP-7 admin_tenant_name set to "service". In OSP-6, admin_tenant_name set to "services". Any minor changes like these make upgrading environments to it that much harder.


Expected results: admin_tenant_name service or services should be preserved across major versions.


Additional info:
Comment 3 Mike Burns 2016-04-07 16:50:54 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 5 Mike Burns 2016-08-19 15:57:10 EDT
Packstack to director is only supported in a side-by-side migration.  There is no direct upgrade path.  

Given this hasn't been fixed, it's not an upgrade issue for director, so closing WONTFIX.  If you disagree, please reopen.

Note You need to log in before you can comment on or make changes to this bug.